OpenShot Audio Library | OpenShotAudio: juce::DefaultHashFunctions Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::DefaultHashFunctions Struct Reference

`#include <juce_HashMap.h>`

## Static Public Member Functions
static int | generateHash (uint32 key, int upperLimit) noexcept
static int | generateHash (int32 key, int upperLimit) noexcept
static int | generateHash (uint64 key, int upperLimit) noexcept
static int | generateHash (int64 key, int upperLimit) noexcept
static int | generateHash (const String &key, int upperLimit) noexcept
static int | generateHash (const var &key, int upperLimit) noexcept
static int | generateHash (const void *key, int upperLimit) noexcept
static int | generateHash (const Uuid &key, int upperLimit) noexcept

## Detailed Description

A simple class to generate hash functions for some primitive types, intended for use with the HashMap class.

See also
  HashMap

Definition at line 34 of file juce_HashMap.h.

## Member Function Documentation

## ◆ generateHash() [1/8]

static int juce::DefaultHashFunctions::generateHash | ( | const String & | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from a string.

Definition at line 45 of file juce_HashMap.h.

Referenced by generateHash().

## ◆ generateHash() [2/8]

static int juce::DefaultHashFunctions::generateHash | ( | const Uuid & | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from a UUID.

Definition at line 51 of file juce_HashMap.h.

Referenced by generateHash().

## ◆ generateHash() [3/8]

static int juce::DefaultHashFunctions::generateHash | ( | const var & | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from a variant.

Definition at line 47 of file juce_HashMap.h.

Referenced by generateHash().

## ◆ generateHash() [4/8]

static int juce::DefaultHashFunctions::generateHash | ( | const void * | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from a void ptr.

Definition at line 49 of file juce_HashMap.h.

Referenced by generateHash().

## ◆ generateHash() [5/8]

static int juce::DefaultHashFunctions::generateHash | ( | int32 | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from an integer.

Definition at line 39 of file juce_HashMap.h.

Referenced by generateHash().

## ◆ generateHash() [6/8]

static int juce::DefaultHashFunctions::generateHash | ( | int64 | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from an int64.

Definition at line 43 of file juce_HashMap.h.

Referenced by generateHash().

## ◆ generateHash() [7/8]

static int juce::DefaultHashFunctions::generateHash | ( | uint32 | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from an unsigned int.

Definition at line 37 of file juce_HashMap.h.

## ◆ generateHash() [8/8]

static int juce::DefaultHashFunctions::generateHash | ( | uint64 | key,
|  | int | upperLimit
| ) |  |
| inlinestaticnoexcept

Generates a simple hash from a uint64.

Definition at line 41 of file juce_HashMap.h.

The documentation for this struct was generated from the following file:

- juce_HashMap.h